Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Static Public Member Functions | Public Attributes | Properties | List of all members
DataSlotField Class Reference

Field information of DataSlot More...

## Public Member Functions
ClassConstraintInfo | GetConstraint ()
| Return information on type constraints. More...
void | SetVisible ()
| For Editor. More...
void | ClearVisible ()
| For Editor. More...
| DataSlotField (DataSlot slot, System.Reflection.FieldInfo fieldInfo)
| DataSlotField constructor More...
bool | IsConnectable (DataSlotField slotField)
| It is judged whether connection is possible. More...

## Static Public Member Functions
static bool | IsConnectable (DataSlotField inputSlotField, DataSlotField outputSlotField)
| Determine if DataSlotFields can connect to each other. More...

## Public Attributes
ClassConstraintInfo | overrideConstraint = null
| override ClassConstraintInfo More...
bool | enabled = true
| Whether the GUI for the slot is valid. More...

## Properties
DataSlot | slot`[get]`
| DataSlot More...
System.Reflection.FieldInfo | fieldInfo`[get]`
| FieldInfo More...
System.Type | connectableType`[get]`
| Connectable type More...
string | connectableTypeName`[get]`
| Connectable type name More...
bool | isVisible`[get]`
| For Editor. More...

## Detailed Description

Field information of DataSlot

## Constructor & Destructor Documentation

## ◆ DataSlotField()

DataSlotField | ( | DataSlot | slot,
|  | System.Reflection.FieldInfo | fieldInfo
| ) |  |

DataSlotField constructor

Parameters

  slot | DataSlot
  fieldInfo | FieldInfo

## Member Function Documentation

## ◆ ClearVisible()

void ClearVisible | ( |  | ) |

For Editor.

## ◆ GetConstraint()

ClassConstraintInfo GetConstraint | ( |  | ) |

Return information on type constraints.

Returns
  Type constraint information

## ◆ IsConnectable() [1/2]

static bool IsConnectable | ( | DataSlotField | inputSlotField,
|  | DataSlotField | outputSlotField
| ) |  |
| static

Determine if DataSlotFields can connect to each other.

Parameters

  inputSlotField | Input slot field
  outputSlotField | Output slot field

Returns
  Returns true if the connection is possible.

## ◆ IsConnectable() [2/2]

bool IsConnectable | ( | DataSlotField | slotField | ) |

It is judged whether connection is possible.

Parameters

  slotField | Slot to determine

Returns
  Returns true if connectable, false otherwise.

## ◆ SetVisible()

void SetVisible | ( |  | ) |

For Editor.

## Member Data Documentation

## ◆ enabled

bool enabled = true

Whether the GUI for the slot is valid.

## ◆ overrideConstraint

ClassConstraintInfo overrideConstraint = null

override ClassConstraintInfo

## Property Documentation

## ◆ connectableType

System.Type connectableType
| get

Connectable type

## ◆ connectableTypeName

string connectableTypeName
| get

Connectable type name

## ◆ fieldInfo

System.Reflection.FieldInfo fieldInfo
| get

FieldInfo

## ◆ isVisible

bool isVisible
| get

For Editor.

## ◆ slot

DataSlot slot
| get

DataSlot